View Issue Details

IDProjectCategoryView StatusLast Update
0001107FreeCADFeaturepublic2014-03-09 09:46
Reporterlingomaniac88Assigned Towmayer 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001107: Ability to specify more decimal places of precision for fillets, etc.
DescriptionI noticed that when trying to perform a fillet on an edge, I could only specify the radius to two decimal places. Specifically, I was trying to do an 1/8" radius (3.175mm) fillet, and I could only enter 3.17 into the box. Here are the steps I used to reproduce this issue:

1. In Draft mode, draw a square with side length 2.5" (63.5mm).
2. In Part Design mode, extrude it 1.5" (38.1mm).
3. Select the four vertical lines aligned with the Z-axis (in this case, the 1.5" long ones) and click the Fillet button.
4. Try to enter "3.175" for the radius in the toolbar where it reads Fillet Parameters. It will only register 3.17.
TagsNo tags attached.

Relationships

related to 0000854 closedwmayer Ability to change number of digits to the right of decimal place in spinboxes 

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master fb994e20

2014-02-16 18:02:09

wmayer

Details Diff
+ fixes 0000854: Ability to change number of digits to the right of decimal place in spinboxes Affected Issues
0000854, 0001107
mod - src/Gui/InputVector.cpp Diff File
mod - src/Gui/Placement.cpp Diff File
mod - src/Mod/Inspection/Gui/VisualInspection.cpp Diff File
mod - src/Mod/Mesh/Gui/DlgRegularSolidImp.cpp Diff File
mod - src/Mod/Part/Gui/CrossSections.cpp Diff File
mod - src/Mod/Part/Gui/DlgExtrusion.cpp Diff File
mod - src/Mod/Part/Gui/DlgFilletEdges.cpp Diff File
mod - src/Mod/Part/Gui/DlgPartCylinderImp.cpp Diff File
mod - src/Mod/Part/Gui/DlgPrimitives.cpp Diff File
mod - src/Mod/Part/Gui/DlgRevolution.cpp Diff File
mod - src/Mod/Part/Gui/Mirroring.cpp Diff File
mod - src/Mod/Part/Gui/TaskOffset.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskChamferParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskDraftParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskFilletParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskGrooveParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskHoleParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskLinearPatternParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskPocketParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskPolarPatternParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskRevolutionParameters.cpp Diff File
mod - src/Mod/PartDesign/Gui/TaskScaledParameters.cpp Diff File

Issue History

Date Modified Username Field Change
2013-04-24 23:43 lingomaniac88 New Issue
2014-03-09 09:45 wmayer Changeset attached => FreeCAD Master master fb994e20
2014-03-09 09:45 wmayer Status new => closed
2014-03-09 09:45 wmayer Assigned To => wmayer
2014-03-09 09:45 wmayer Resolution open => fixed
2014-03-09 09:45 wmayer Fixed in Version => 0.14
2014-03-09 09:46 wmayer Relationship added related to 0000854